<?php

// ---------------------------------------------------------------------
//            (c) sgs-visual.de 2024 - Öffnungszeiten 2.0
//                     Ausgabe Montag bis Sonntag
//                          Ohne Buß- und Bettag
//                      https://www.sgs-visual.de
// ---------------------------------------------------------------------

$link = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URL]";

   $aktuellesJahr = date('Y');

date_default_timezone_set('Europe/Berlin');
  
function oeffnungszeiten() {

 // Wochentage ( Montag = 1, Dienstag = 2, ... Samstag = 6, Sonntag = 7 )
 $close = array(8);

 $tage = ["Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"];
 $monate = [1=>"Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"];
 $tag = date("w");

// Montag
 if (date('N') == "1") {
  $time_start = file_get_contents("data/startMo.dat");
  $time_stop = file_get_contents("data/stopMo.dat"); 
 }

// Dienstag
 if (date('N') == "2") {
  $time_start = file_get_contents("data/startDi.dat");
  $time_stop = file_get_contents("data/stopDi.dat"); 
 }

// Mittwoch
 if (date('N') == "3") {
  $time_start = file_get_contents("data/startMi.dat");
  $time_stop = file_get_contents("data/stopMi.dat"); 
 }

 // Donnerstag
 if (date('N') == "4") {
  $time_start = file_get_contents("data/startDo.dat");
  $time_stop = file_get_contents("data/stopDo.dat"); 
 }

 //Freitag
 if (date('N') == "5") {
  $time_start = file_get_contents("data/startFr.dat");
  $time_stop = file_get_contents("data/stopFr.dat");
 }

// Samstag
 if (date('N') == "6") {
  $time_start = file_get_contents("data/startSa.dat");
  $time_stop = file_get_contents("data/stopSa.dat");
 }

// Sonntag
 if (date('N') == "7") {
  $time_start = file_get_contents("data/startSo.dat");
  $time_stop = file_get_contents("data/stopSo.dat");
 }


// ##########  Urlaub Daten laden   #################


     $urlaubname = file_get_contents("data/urlaubname.txt");
     $urlaubinfo = file_get_contents("data/urlaubinfo.txt");
     $urlaubstart = file_get_contents("data/urlaubstart.txt");
     $urlaubstop = file_get_contents("data/urlaubstop.txt");

     $urlaubschalter = file_get_contents("data/urlaubschalter.txt");
     $urlaubnameS = file_get_contents("data/urlaubnameS.txt");
     $urlaubinfoS = file_get_contents("data/urlaubinfoS.txt");

//  ########## Urlaubdaten Ende  #####################

// ############# CSS Daten  laden #################

     $namebgcol = file_get_contents("css/namebgcol.txt");
     $namefontcol = file_get_contents("css/namefontcol.txt");
     $namefonteigenschaft = file_get_contents("css/namefonteigenschaft.txt");

// ############# CSS Daten Ende ##################

// #### Feste und bewegliche Feiertage ####

$holiday =  [ 
 '01.01',       // Neues Jahr
// '06.01',      // Heilige Drei Könige - Bayern, Baden Würtemberg, Sachsen, Sachsen-Anhalt
// $Rosenmontag = date('d.m',easter_date()-48*86400), // Rosenmontag,  48 Tage vor Ostern
 $Karfreitag = date('d.m',easter_date()-2*86400), // Karfreitag, 2 Tage vor Ostern - ALLE
// $Ostersonntag = date('d.m',easter_date()-1*86400), // Ostersonntag - Brandenburg, Hessen
 $Ostermontag = date('d.m',easter_date()+86400), // Ostermontag - ALLE
 '01.05',             // Erster Mai - ALLE
 $ChristiHimmelfahrt = date('d.m',easter_date()+39*86400),  // ALLE
// $Pfingstsonntag = date('d.m',easter_date()+49*86400), //  Brandenburg, Hessen
 $Pfingstmontag = date('d.m',easter_date()+50*86400),    // ALLE
 $Fronleichnam = date('d.m',easter_date()+60*86400),    // ALLE

// '08.03',   //  Berlin, Mecklenburg-Vorpommern (Internationaler Frauentag)
//  '20.09', // Thüringen (Weltkindertag)
  '31.10', // Brandenburg, Bremen, Hamburg, Mecklenburg-Vorpommern, Niedersachsen, Sachsen, Sachsen-Anhalt, Schleswig-Holstein,Thüringen (Reformationstag) 
// '08.08',    // Augsburger Hohes Friedensfest (Bayern/Augsburg)
// '15.08',              // Mariä Himmelfahrt - Bayern
 '03.10', // Tag der deutschen Einheit  - ALLE
// '01.11',  // Allerheiligen - Baden Württemberg, Bayern, Nordrhein Westphalen, Niedersachsen, Saarland

 '24.12', // Heiliger Abend - ALLE
 '25.12', // 1 Weihnachtstag - ALLE
 '26.12', // 2 Weihnachtstag - ALLE
 '31.12', // Silvester  - ALLE

];

$feiertag ="keiner";


  // Prüfen ob geöffnet ist (Wochentag, Uhrzeit und Feiertag)
  if (date('N') != in_array(date('N'), $close) &&
      date('H:i') >= $time_start &&
      date('H:i') <= $time_stop &&
      date('d.m') != in_array(date('d.m'), $holiday)) {
    $offen = ' Wir haben heute von ' . $time_start . ' bis ' . $time_stop . ' <strong class="offen">geöffnet</strong>';
   }
   else {
     if (date('d.m') == in_array(date('d.m'), $holiday)) {
      if (date('d.m') == "01.01") $feiertag = 'Neujahr';    // ALLE
//      if (date('d.m') == "06.01") $feiertag = 'Heilige Drei Könige';   //    Bayern
//      if (date('d.m') == "$Rosenmontag") $feiertag = 'Rosenmontag'; // Wiesbaden, Mainz, Köln
      if (date('d.m') == "$Karfreitag") $feiertag = 'Karfreitag';    // ALLE
//      if (date('d.m') == "$Ostersonntag") $feiertag = 'Ostersonntag';   //   Brandenburg, Hessen
      if (date('d.m') == "$Ostermontag") $feiertag = 'Ostemontag';   // ALLE
      if (date('d.m') == "01.05") $feiertag = 'Tag der Arbeit';  // ALLE
      if (date('d.m') == "$ChristiHimmelfahrt") $feiertag = 'Christi Himmelfahrt';  // ALLE
//      if (date('d.m') == "$Pfingstsonntag") $feiertag = 'Pfingstsonntag'; // Brandenburg, Hessen
      if (date('d.m') == "$Pfingstmontag") $feiertag = 'Pfingstmontag';  // ALLE
//      if (date('d.m') == "$Fronleichnam ") $feiertag = 'Fronleichnam';  // Baden-Württemberg, Bayern, Hessen, Niedersachsen, Nordrhein Westphalen, Rheinland Pfalz, Saarland

//      if (date('d.m') == "08.03") $feiertag = 'Int. Frauentag'; // Berlin, Mecklenburg-Vorpommern
//      if (date('d.m') == "20.09") $feiertag = 'Weltkindertag'; // Thüringen
      if (date('d.m') == "31.10") $feiertag = 'Reformationstag'; // Brandenburg, Bremen, Hamburg, Mecklenburg-Vorpommern, Niedersachsen, Sachsen, Sachsen-Anhalt, Schleswig-Holstein,Thüringen

//       if (date('d.m') == "08.08") $feiertag = 'Hohes Friedensfest';   //    Bayern/Augsburg
//       if (date('d.m') == "15.08") $feiertag = 'Mariä Himmelfahrt';   //    Bayern
      if (date('d.m') == "03.10") $feiertag = 'Tag d. Dt. Einheit';  // ALLE
       if (date('d.m') == "31.10") $feiertag = 'Reformationstag'; //  Brandenburg, Freie Hansestadt Bremen, Hamburg, Mecklenburg Vorpommern, Niedersachsen, Sachsen, Sachsen-Anhalt
//      if (date('d.m') == "01.11") $feiertag = 'Allerheiligen';  // Baden Württemberg, Bayern, Nordrhein Westphalen, Niedersachsen, Saarland

      if (date('d.m') == "24.12") $feiertag = 'Heiliger Abend';   // ALLE
      if (date('d.m') == "25.12") $feiertag = '1. Weihnachtstag';   // ALLE
      if (date('d.m') == "26.12") $feiertag = '2. Weihnachtstag';   // ALLE
      if (date('d.m') == "31.12") $feiertag = 'Silvester';   // ALLE

   }

   if ($feiertag != "keiner") {
    $offen = " &#9999; " . $feiertag . ', Heute ist <strong class="geschlossen">geschlossen</strong>.';
   }
//   elseif ($tage[$tag] == "Samstagtag") {
//    $offen = 'Heute haben wir <strong class="geschlossen">geschlossen</strong>.';
//   }
//   elseif ($tage[$tag] == "Sonntag") {
//    $offen = 'Heute haben wir <strong class="geschlossen">geschlossen</strong>.';
//   }
   else {
    $offen = 'Zur Zeit haben wir <strong class="geschlossen">geschlossen</strong>.';
   }
  }


//  $urlaubschalter = "0";  // NUR ZUM TESTEN

// ################  Urlaubszeit Ein- oder Ausschalten  ##############
// Der Urlaub ist mit "0" ausgeschaltet ! Nur über Adminbereich Ein- oder Ausschalten!

  if ($urlaubschalter != "0") {
$offen = "<center><b>".$urlaubname."</b><br>".$urlaubinfo."<b class='geschlossen'>&nbsp;geschlossen</b></center>";
              }
              else { $urlaubschalter = "1"; } 

// ####################  Urlau-Schalter Ende  ###################

  return($offen);
}


// -------------------------------------------------------------------------
// ---- Hier folgt der sichtbare Ausgabeteil der Öffnungszeiten  ---
// -------------------------------------------------------------------------

?>

<?php

// --- Daten laden ---

// Anzeigename

           $anzeigename = file_get_contents("data/anzeigename.txt");

// Montag

           $startMo = file_get_contents("data/startMo.dat");
           $stopMo = file_get_contents("data/stopMo.dat");

// Dienstag

           $startDi = file_get_contents("data/startDi.dat");
           $stopDi = file_get_contents("data/stopDi.dat");

// Mittwoch

           $startMi = file_get_contents("data/startMi.dat");
           $stopMi = file_get_contents("data/stopMi.dat");

// Donnerstag

           $startDo = file_get_contents("data/startDo.dat");
           $stopDo = file_get_contents("data/stopDo.dat");

// Freitag

           $startFr = file_get_contents("data/startFr.dat");
           $stopFr = file_get_contents("data/stopFr.dat");

// Samstag

           $startSa = file_get_contents("data/startSa.dat");
           $stopSa = file_get_contents("data/stopSa.dat");

// Sonntag

           $startSo = file_get_contents("data/startSo.dat");
           $stopSo = file_get_contents("data/stopSo.dat");


// -------------------------------------------------
// ----- Daten wurden geladen ---------------
// -------------------------------------------------


?>

<!doctype html>
<html lang="de">

<head>
    <meta charset="utf-8">
    <link rel="shortcut icon" type="image/png" href="<?php echo $link;?>/sgs_oeffnungszeiten/sgs_icons/oeffnungszeiten.png"/>
    <meta name="robots" content="nofollow">
    <meta name="viewport" content="width = device-width, initial-scale = 1.0" />
    <title>&Ouml;ffnungszeiten </title>
</head>
    <link href="css/style.css" rel="stylesheet" type="text/css">

<?php

//  ##############  CSS Daten laden  ######################

    header("Content-type: text/css; charset: UTF-8");  // UTF-8 - Variablen erstellen

     $namefonteigenschaft = file_get_contents("css/namefonteigenschaft.txt"); 
     $namebgcol = file_get_contents("css/namebgcol.txt");
     $namefontcol = file_get_contents("css/namefontcol.txt");
     $namefontgroesse = file_get_contents("css/namefontgroesse.txt");
     $fontfamily = file_get_contents("css/fontfamily.txt");
     $boxecken = file_get_contents("css/boxecken.txt");
     $box1fontgroesse = file_get_contents("css/box1fontgroesse.txt");
     $box2fontgroesse = file_get_contents("css/box2fontgroesse.txt");
     $boxenrahmenfarbe = file_get_contents("css/boxenrahmenfarbe.txt");
     $boxenrahmendicke = file_get_contents("css/boxenrahmendicke.txt");
     $boxfontcol = file_get_contents("css/boxfontcol.txt");
     $boxenbgcol = file_get_contents("css/boxenbgcol.txt");
     $boxabstand = file_get_contents("css/boxabstand.txt");
     $boxenbreite = file_get_contents("css/boxenbreite.txt");
     $boxschatten = file_get_contents("css/boxschatten.txt");
     $geoeffnetfarbe = file_get_contents("css/geoeffnetfarbe.txt");
     $geschlossenfarbe = file_get_contents("css/geschlossenfarbe.txt");

//  ############ CSS-Daten laden Ende ######################

?>

  <! ---  CSS-Style mit Variablen für die Anzeige der Tabelle --->

<style>
       .ErsteBox {
       width: <?php echo $boxenbreite ; ?>px;
       background-color: <?php echo $boxenbgcol ; ?>; 
       font-family:<?php echo $fontfamily; ?>, sans-serif;
       font-size: box1fontgroessepx;
       color: <?php echo $boxfontcol; ?>;
        border: <?php echo $boxenrahmendicke; ?>px solid;
        border-color: <?php echo $boxenrahmenfarbe; ?>;
        border-radius: <?php echo $boxecken; ?>px;
        margin:  0px 0px <?php echo $boxabstand; ?>px 0px;;
        padding: 5px;
        box-shadow: <?php echo $boxschatten; ?>;  /* box-shadow: #AFAFAF 5px 6px 20px 0px; */
       } 

      /* ----- Box für Information ob geöffnet oder geschlossen ist ----- */

       .ZweiteBox { 
       width: <?php echo $boxenbreite ; ?>px;
       background-color: <?php echo $boxenbgcol ; ?>;
       font-family:<?php echo $fontfamily; ?>, sans-serif;
       font-size: <?php echo $box2fontgroesse; ?>px;
       color: <?php echo $boxfontcol; ?>;
       border: <?php echo $boxenrahmendicke; ?>px solid;
       border-color: <?php echo $boxenrahmenfarbe; ?>;
       border-radius : <?php echo $boxecken; ?>px;
       margin:  0px 0px 0px 0px;
       padding: 5px; 
       box-shadow: <?php echo $boxschatten; ?>;  /* box-shadow: #AFAFAF 5px 6px 15px 0px; */
       }

     .tg  {                 /* Tabelle für die Ausgabe der Daten */
      border-collapse:collapse;
      border-spacing:0;
      }

      .tg td{              /* Tabelleninhalte */
       font-family:<?php echo $fontfamily; ?>, sans-serif;
       font-size:<?php echo $box1fontgroesse; ?>px;
       padding:1px 0px;
       border-style:solid;
       border-width:0px;
       overflow:hidden;
       } 

       .tg th{                  /* Zelleninhalte  */
       font-family:<?php echo $fontfamily; ?>, sans-serif;
       font-size:<?php echo $box1fontgroesse; ?>px;
       font-weight:normal; 
       padding:1px 0px;
       border-style:solid;
       border-width:0px;
       overflow:hidden;
       } 

      .tg .tg-titel{            /* Kopf - Anzeigename */
       background-color:<?php echo $namebgcol; ?>;
       font-family:<?php echo $fontfamily; ?>, sans-serif;
       color:<?php echo $namefontcol; ?>;
       font-size:<?php echo $namefontgroesse; ?>px;
       font-style:<?php echo $namefonteigenschaft; ?>;
       font-weight:<?php echo $namefonteigenschaft; ?>;
       padding:4px 4px; 
       }

       .offen {
       color:<?php echo $geoeffnetfarbe; ?>;
       }

       .geschlossen { 
       color: <?php echo $geschlossenfarbe; ?>;
       }

</style>

  <! ---  ############ CSS Style Ende ###################### --->

   <! --- Ausgabe der Öffnungszeiten in einer DIV-Box--->

<body>

<center>
       <div class="ErsteBox">

<table class="tg">

<! --- ÖFFNUNGSZEITEN TEXT --->
  <tr>

    <th class="tg-titel" colspan="5"><?php echo $anzeigename; ?></th>

  </tr>

<! --- MONTAG --->
  <tr>
    <td class="tg-mo"><?php if (date('N') == "1") {echo "<b>Montag:</b>";}else{echo "Montag:";}?></td>
    <td class="tg-mo"><?php echo $startMo; ?></td>
    <td class="tg-mo">Uhr bis&nbsp;</td>
    <td class="tg-mo"><?php echo $stopMo; ?></td>
    <td class="tg-mo">Uhr</td>
  </tr>
<! --- DIENSTAG --->
  <tr>
    <td class="tg-di"><?php if (date('N') == "2") {echo "<b>Dienstag:</b>";}else{echo "Dienstag:";}?></td>
    <td class="tg-di"><?php echo $startDi; ?></td>
    <td class="tg-di">Uhr bis&nbsp;</td>
    <td class="tg-di"><?php echo $stopDi; ?></td>
    <td class="tg-di">Uhr</td>
  </tr>
<! --- MITTWOCH --->
  <tr>
    <td class="tg-mi"><?php if (date('N') == "3") {echo "<b>Mittwoch:</b>";}else{echo "Mittwoch:";}?></td>
    <td class="tg-mi"><?php echo $startMi; ?></td>
    <td class="tg-mi">Uhr bis&nbsp;</td>
    <td class="tg-mi"><?php echo $stopMi; ?></td>
    <td class="tg-mi">Uhr</td>
  </tr>
<! --- DONNERSTAG --->
  <tr>
    <td class="tg-do"><?php if (date('N') == "4") {echo "<b>Donnerstag:</b>";}else{echo "Donnerstag:";}?>&nbsp;</td>
    <td class="tg-do"><?php echo $startDo; ?></td>
    <td class="tg-do">Uhr bis&nbsp;</td>
    <td class="tg-do"><?php echo $stopDo; ?></td>
    <td class="tg-do">Uhr</td>
  </tr>
<! --- FREITAG --->
  <tr>
    <td class="tg-fr"><?php if (date('N') == "5") {echo "<b>Freitag:</b>";}else{echo "Freitag:";}?></td>
    <td class="tg-fr"><?php echo $startFr; ?></td>
    <td class="tg-fr">Uhr bis&nbsp;</td>
    <td class="tg-fr"><?php echo $stopFr; ?></td>
    <td class="tg-fr">Uhr</td>
  </tr>
<! --- SAMSTAG --->
  <tr>
    <td class="tg-sa"><?php if (date('N') == "6") {echo "<b>Samstag:</b>";}else{echo "Samstag:";}?></td>
    <td class="tg-sa"><?php echo $startSa; ?></td>
    <td class="tg-sa">Uhr bis&nbsp;</td>
    <td class="tg-sa"><?php echo $stopSa; ?></td>
    <td class="tg-sa">Uhr</td>
  </tr>
<! --- SONNTAG --->
  <tr>
    <td class="tg-so"><?php if (date('N') == "7") {echo "<b>Sonntag:</b>";}else{echo "Sonntag:";}?></td>
    <td class="tg-so"><?php echo $startSo; ?></td>
    <td class="tg-so">Uhr bis&nbsp;</td>
    <td class="tg-so"><?php echo $stopSo; ?></td>
    <td class="tg-so">Uhr</td>
  </tr>

  
</table>

<!--- Ende der Ausgabe --->



</div>

       <div class="ZweiteBox">

<?php
// --- Ausgabe ob offen oder geschlossen ist -----------

$offen = oeffnungszeiten();
echo $offen;

?>
   </div>
</center>
  </body>
</html>